List Non-Cash Gift Types
curl --request GET \
--url https://api.virtuoussoftware.com/api/Gift/NonCashGiftTypes \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Gift/NonCashGiftTypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Gift/NonCashGiftTypes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Gift/NonCashGiftTypes");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Gift/NonCashGiftTypes';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": 0,
"name": "string",
"isEnabled": true
}
],
"total": 0
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Giving
List Non-Cash Gift Types
Returns the non-cash gift types that can be set on a gift, such as stock, in-kind goods, or cryptocurrency. Configurable via CRM.
GET
/
api
/
Gift
/
NonCashGiftTypes
List Non-Cash Gift Types
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10.
The field to sort the results by.
The direction to sort the results. Set to true to sort in descending order.
Last modified on August 11, 2026
Was this page helpful?
⌘I